﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace WebMrbc
{
	public abstract class TargetBoard
	{
		public abstract FieldDropdown Pins();
		public abstract FieldDropdown AnalogPins();
		public abstract FieldDropdown PwmPins();
		public abstract int PinNameToNum(string name);
		public abstract int PinModeNameToNum(string name);
		public abstract int PinValueNameToNum(string name);
		public abstract int AnalogRefModeNameToNum(string name);
		public abstract FieldDropdown I2CPorts();
		public abstract string I2CPortNameToVariable(string name);
		public abstract int I2CPortNameToNum(string name);
		public abstract FieldDropdown MemFileHandles();
		public abstract int MemFileHandlerNameToNum(string name);
		public abstract int MemOpenModeNameToNum(string name);
		public abstract int MemCpModeNameToNum(string name);
		public abstract FieldDropdown SdFileHandles();
		public abstract int SdFileHandlerNameToNum(string name);
		public abstract int SdOpenModeNameToNum(string name);
		public abstract FieldDropdown SerialPorts();
		public abstract int SerialPortNameToNum(string name);
		public abstract string SerialPortNameToVariable(string name);
	}
}
